package com.examples.pfsoft.mispozosderiego;

/**
 * Created by VRaul on 02/12/2016 - @PFSoft 2016
 * Interfaz para Almacenar InfoEstado de los  Pozos
 */

public interface AlmacenInfoEstado {

    InfoEstadoPozo elemento(int id); //Devuelve el elemento dado su id

    void anyade(InfoEstadoPozo estadopozo); //Añade el elemento indicado

    int nuevo(int id); //Añade un elemento en blanco y devuelve su id

    void borrar(int id); //Elimina el elemento con el id indicado

    int tamanyo(); //Devuelve el número de elementos

    void actualiza(int id, InfoEstadoPozo estadopozo); //Reemplaza un elemento

}
