package com.examples.pfsoft.mispozosderiego;

/**
 * Created by VRaul on 05/12/2016.
 */

//Enumerado que codifica la Información asociada a los posibles Estados del Pozo
public enum ETipoAlarma {
    NINGUNO (0, "NINGUNO", 0),
    FALLO_RED (10, "FALLO RED ELECTRICA",1),
    PRESOSTATO_MAX (11, "PRESOSTATO SEGURIDAD NIVEL MAXIMO",2),
    FALLO_VARIADOR (12, "FALLO VARIADOR",3),
    TERMICO_MOTOR (13, "DISPARO TERMICO MOTOR", 4),
    FUGA_AGUA (20, "FUGA AGUA RED GOTEO",5);


    private final int id_estado; //Valor numérico asociado al Estado
    private final String texto; //Texto que se muestra como descripción del Estado
    private final int recurso; //Valor numérico que nos asocia un recurso gráfico (icono) asociado al Estado

    ETipoAlarma(int id_estado, String texto, int recurso) {
        this.id_estado = id_estado;
        this.texto = texto;
        this.recurso = recurso;
    }

    public int getId_estado() {
        return id_estado;
    }

    public String getTexto() {
        return texto;
    }

    public int getRecurso() {
        return recurso;
    }
}
