package com.examples.pfsoft.mispozosderiego;

import android.app.Service;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.IBinder;
import android.util.Log;
import android.widget.Toast;

/**
 * Created by VRaul on 24/09/2017 - [Revision @PFSoft 09/2017]
 * Clase implementa Servicio Principal --> Registra Recetor de Anucios para los SMS
 */


public class ServicioPrincipal extends Service {

    private Aplicacion app;

    @Override
    public void onCreate() {
        app = (Aplicacion) getApplication();
        Log.d("[ServicioPRINCIPAL] ", "Servicio Principal CREADO...");
        Toast.makeText(this,"Servicio PRINCIPAL Creado", Toast.LENGTH_SHORT).show();
    }

    @Override
    public int onStartCommand(Intent intencion, int flags, int idArranque){
        Log.d("[ServicioPRINCIPAL] ", "Servicio Principal ARRANCADO...");
        Toast.makeText(this,"Servicio PRINCIPAL Arrancado", Toast.LENGTH_SHORT).show();

        //Asociar Receptores de Anuncios para recepción de SMS desde código...
        IntentFilter filtro = new IntentFilter(ReceptorSMS.ACTION_RECIBIR_SMS);
        filtro.addCategory(Intent.CATEGORY_DEFAULT);
        registerReceiver(new ReceptorSMS(), filtro);

        return START_STICKY;
    }

    @Override public void onDestroy() {
        Log.d("[ServicioPRINCIPAL] ", "Servicio Principal DETENIDO...");
        Toast.makeText(this,"Servicio PRINCIPAL PARADO", Toast.LENGTH_SHORT).show();

    }


    @Override public IBinder onBind(Intent intencion) {
        return null;
    }

}
